Bug 678941 - Agents list should indicate known problems with agents
Agents list should indicate known problems with agents
Status: NEW
Product: RHQ Project
Classification: Other
Component: High Availability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-20 20:14 EST by James Livingston
Modified: 2016-02-21 19:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Livingston 2011-02-20 20:14:37 EST
The High Availability->Agents page should list whether there are any known problems with an agent.

For example if an older version of an agent tries to report, and it's auto-update fails (e.g. can't write to it's own directory), then that information should be available in the list.
Comment 1 Larry O'Leary 2011-03-07 18:32:04 EST
Essentially, a JON administrator or manager should be able to review the state of all agents within a JON system. This would make it easy to identify if an agent is off-line or unable to communicate to the JON server for one reason or another. Some use-cases:

 - What JON Agents are simply not running? (this can currently be obtained by agent availability)

 - What JON Agents failed to auto-upgrade after the new version of JON server was installed?

 - What JON Agents can not communicate with the JON server due to an incorrect end-point address or network communications error?

 - What JON Agents are currently running and reporting to/accepting commands from the JON server?


Obviously, in some instances, we will not know why a JON agent is unavailable but in some instances we do know. Like version mismatch, talk-back on initial registration, agent reported itself as going down, agent's resources have been backfilled, etc.

Note You need to log in before you can comment on or make changes to this bug.